<template>
  <component :is="parentObj.activeName"/>
</template>

<script>
import List from './components/List'
import curriculumList from './components/curriculumList.vue'
import stageexampaperList from './components/stageexampaperList.vue'
import addCurriculum from './components/addCurriculum.vue'
import addStageexam from './components/addStageexam.vue'
import INFO from './components/info.vue'
import stageexaminfo from './components/stageexaminfo.vue'
export default {
  components: {
    List,
    curriculumList,
    stageexampaperList,
    addCurriculum,
    addStageexam,
    stageexaminfo,
    INFO
  },
  data() {
    return {
      parentObj: {
        activeName: 'List',
        CORPINFO_ID: ''
      }
    }
  },
  methods: {
    setActiveName(activeName) {
      this.parentObj.activeName = activeName
    },
    setCorpInfoId(CORPINFO_ID) {
      this.parentObj.CORPINFO_ID = CORPINFO_ID
    }
  },
  provide() {
    return {
      parentObj: this.parentObj,
      setActiveName: this.setActiveName,
      setCorpInfoId: this.setCorpInfoId
    }
  }
}
</script>

<style scoped>

</style>
